package com.ejie.ad74a.exceptions;

import java.io.Serializable;

/**
 * ParametroKey.
 * 
 * @author
 */
public class ParametroKey implements Serializable {

	private static final long serialVersionUID = 1L;

	// Valor del parametro
	private String valorParametro = null;
	// Indicativo de si un codLiteral y se tiene que traducir
	private boolean esKey = false;

	/**
	 * Constructor con parametros
	 * 
	 * @param valorParametro String, parametro
	 * @param isKey          boolean, indica si es una key
	 */
	public ParametroKey(String valorParametro, boolean isKey) {
		this.valorParametro = valorParametro;
		this.esKey = isKey;
	}

	/**
	 * Method 'getValorParametro'.
	 * 
	 * @return String
	 */
	public String getValorParametro() {
		return this.valorParametro;
	}

	/**
	 * Method 'setValorParametro'.
	 * 
	 * @param valorParametro String
	 */
	public void setValorParametro(String valorParametro) {
		this.valorParametro = valorParametro;
	}

	/**
	 * Method 'isEsKey'.
	 * 
	 * @return boolean
	 */
	public boolean isEsKey() {
		return this.esKey;
	}

	/**
	 * Method 'setEsKey'.
	 * 
	 * @param esKey boolean
	 */
	public void setEsKey(boolean esKey) {
		this.esKey = esKey;
	}
}